/* Bomb O Bomb - an entirely transformable game for Linux
 * David FAUTHOUX - July 1999 - email: david.fauthoux@free.fr
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 * Modify this soft ! It is made to be original for each player who want it !!
 */



#include "Exception.h"
#include "String.h"

Exception::Exception() {}

Exception::Exception(const String& s)
{
  cout<<"Exception thrown : "<<(const char*)s<<"\n";
}

Exception::Exception(const String& s0,const String& s1)
{
  cout<<"Exception thrown : "<<(const char*)s0<<","<<(const char*)s1<<"\n";
}

Exception::Exception(const String& s0,const String& s1,const String& s2)
{
  cout<<"Exception thrown : "<<(const char*)s0<<","<<(const char*)s1<<","<<(const char*)s2<<"\n";
}

/*
Exception::Exception(const char *s)
{
  cout<<"Exception thrown : "<<s<<"\n";
}

Exception::Exception(const char *s0,const char *s1)
{
  cout<<"Exception thrown : "<<s0<<","<<s1<<"\n";
}

Exception::Exception(const char *s0,const String& s1)
{
  cout<<"Exception thrown : "<<s0<<","<<(char*)s1<<"\n";
}

Exception::Exception(const char *s0,const String& s1,const String& s2)
{
  cout<<"Exception thrown : "<<s0<<","<<(char*)s1<<","<<(char*)s2<<"\n";
}
*/

