/* Bomb O Bomb - an entirely transformable game for Linux
 * David FAUTHOUX - July 1999 - email: david.fauthoux@free.fr
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 * Modify this soft ! It is made to be original for each player who want it !!
 */



#include "Keyboard.h"
#include "error.h"

#include "display.h"

//bool Keyboard::got;
//bool KeyboardBuffer::withoutRepeat=true;
//Fifo<Key*> KeyboardBuffer::buf;
//List<int> KeyboardBuffer::downList;
 
Keyboard::Keyboard()
  throw (Exception)
{
  if(!enableKeyboard()) throw Exception(ERROR_KEYBOARD);
}

Keyboard::~Keyboard() throw ()
{
  disableKeyboard();
}

bool Keyboard::refresh() throw ()
{
  if(!keyboardRefresh()) return false;
  int code;
  bool pressed;
  for(;;) {
    getKeyboardCode(code,pressed);
    if(code==-1) return true;
    work(code,pressed);
  }
}

void Keyboard::work(int key,bool press) throw()
{
  //nothing
}

//


/*??
char scan_tab[]="\0\0&\"\'(-_)=\0 azertyuiop\0$\0\0qsdfghjklm\0*wxcvbn,;:!\0*\0 \0\0\0\0\0\0\0\0\0\0\0\0 789-456+1230.\0\0<\0\0";
char scan_tab_maj[]="\0 1234567890+\0 AZERTYUIOP\0\0\0QSDFGHJKLM%\0WXCVBN?./\0*\0 \0\0\0\0\0\0\0\0\0\0\0\0 789-456+1230.\0\0>\0\0";
char scan_tab_alt_gr[]="\0\0\0~#{[|`\\^@]}\0 \0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";
*/





