/* Bomb O Bomb - an entirely transformable game for Linux
 * David FAUTHOUX - July 1999 - email: david.fauthoux@free.fr
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 * Modify this soft ! It is made to be original for each player who want it !!
 */



class LoopAnim;

#ifndef __LoopAnim_h__
#define __LoopAnim_h__

#include "Anim.h"

/**
   The walk() reinit the Anim if terminated
   @author David FAUTHOUX
 */
class LoopAnim:public Anim {
 protected:
  ///
  int virtual virtualWalk() throw();
 public:
  ///
  LoopAnim(const String& nameFile,int slow,char listSeparator) throw (Exception);
  ///
  LoopAnim(Anim& a) throw();
  ///
  LoopAnim(LoopAnim& a) throw();
  ///
  virtual ~LoopAnim() throw();
};


#endif
