/* Bomb O Bomb - an entirely transformable game for Linux
 * David FAUTHOUX - July 1999 - email: david.fauthoux@free.fr
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 * Modify this soft ! It is made to be original for each player who want it !!
 */



class PageDefault;

#ifndef __PageDefault_h__
#define __PageDefault_h__

#include "Page.h"
#include "Ini.h"

// Voila une classe simple !

// A votre bon vouloir, vous pouvez rajouter des pages COMME VOUS VOULEZ au jeu
// Il n'y a PAS DE LIMITES AU MOTEUR DE JEU/PAGE tant que vous creez les liens
// necessaires : en general, moi, je cree les liens a la construction
// de l'objet en les declarant const tant que possible...
// a vous de voir... AMUSEZ-VOUS !

/**
   Default Page, so when PageChanger finds an unknow id, it loads this class.
   You can inherit it very simply. Create all the links in the game you want (usually, I create links in Page construction declaring "const" all the possible). So your Page can interact with the game ! Enjoy !
   @author David FAUTHOUX
 */
class PageDefault:public Page {
 public:
  ///
  PageDefault(Ini& ini,int numeroSection,GraphicMode& graphicMode,
	      Sounder& sounder,int soundBlowMotId,
	      StripContainer& stripContainer) throw(Exception);
  ///
  virtual ~PageDefault() throw();
};

#endif
