/* Bomb O Bomb - an entirely transformable game for Linux
 * David FAUTHOUX - July 1999 - email: david.fauthoux@free.fr
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 * Modify this soft ! It is made to be original for each player who want it !!
 */



#include "PreStrip.h"

#define DEFAULT_CASE_MINE "you've walk on a mine, it hurts."
#define DEFAULT_CASE_OPTION_BOMBE "now you can put a bomb more"
#define DEFAULT_CASE_OPTION_FLAMME "your bombs are more dangerous !"
#define DEFAULT_CASE_OPTION_OUBA "all the ennemies are burned..."
#define DEFAULT_CASE_OPTION_ARMAGEDDON "!!!"
#define DEFAULT_CASE_OPTION_CHICKEN "all the ennemies are chickens ! walk on them !"
#define DEFAULT_CASE_OPTION_PHOTO "no move when photo !"
#define DEFAULT_CASE_OPTION_FEU_CUL "you are loosing something now"
#define DEFAULT_CASE_OPTION_SUPER_BOMBE "the walls do not stop your bombs"
#define DEFAULT_CASE_OPTION_MINE "you can put mines"
#define DEFAULT_CASE_OPTION_DYNAMITE "you can put dynamites, blow up them with the special fire key"
#define DEFAULT_CASE_OPTION_INVINCIBLE "you are invincible"
#define DEFAULT_CASE_OPTION_INVISIBLE "you are invisible"
#define DEFAULT_CASE_OPTION_POSE_MUR "you can put walls"
#define DEFAULT_CASE_OPTION_SURPUISSANCE "your bombs are very very..."
#define DEFAULT_CASE_OPTION_WIN95 "everybody know that : Window$95 slows your computer"
#define DEFAULT_CASE_OPTION_TRAVERSE_MUR "no wall on your road !"
#define DEFAULT_CASE_OPTION_FEMME "she has falled in love : love protect you"
#define DEFAULT_CASE_OPTION_TELEPORT "you can teleport yourself"
#define DEFAULT_CASE_OPTION_RESURRECT "the deads come back"
#define DEFAULT_CASE_OPTION_SPEED "faster !"


PreStrip::PreStrip(Ini& ini) throw()
  :strip(NB_ID)
{
  strip[CASE_MINE]=ini.getWithDefault("[Strip]",0,"case mine",0,*new String(DEFAULT_CASE_MINE));
  strip[CASE_OPTION_BOMBE]=ini.getWithDefault("[Strip]",0,"case option bombe",0,*new String(DEFAULT_CASE_OPTION_BOMBE));
  strip[CASE_OPTION_FLAMME]=ini.getWithDefault("[Strip]",0,"case option flamme",0,*new String(DEFAULT_CASE_OPTION_FLAMME));
  strip[CASE_OPTION_OUBA]=ini.getWithDefault("[Strip]",0,"case option ouba",0,*new String(DEFAULT_CASE_OPTION_OUBA));
  strip[CASE_OPTION_ARMAGEDDON]=ini.getWithDefault("[Strip]",0,"case option armageddon",0,*new String(DEFAULT_CASE_OPTION_ARMAGEDDON));
  strip[CASE_OPTION_CHICKEN]=ini.getWithDefault("[Strip]",0,"case option chicken",0,*new String(DEFAULT_CASE_OPTION_CHICKEN));
  strip[CASE_OPTION_PHOTO]=ini.getWithDefault("[Strip]",0,"case option photo",0,*new String(DEFAULT_CASE_OPTION_PHOTO));
  strip[CASE_OPTION_FEU_CUL]=ini.getWithDefault("[Strip]",0,"case option feu au cul",0,*new String(DEFAULT_CASE_OPTION_FEU_CUL));
  strip[CASE_OPTION_MINE]=ini.getWithDefault("[Strip]",0,"case option mine",0,*new String(DEFAULT_CASE_OPTION_MINE));
  strip[CASE_OPTION_SUPER_BOMBE]=ini.getWithDefault("[Strip]",0,"case option super bombe",0,*new String(DEFAULT_CASE_OPTION_SUPER_BOMBE));
  strip[CASE_OPTION_DYNAMITE]=ini.getWithDefault("[Strip]",0,"case option dynamite",0,*new String(DEFAULT_CASE_OPTION_DYNAMITE));
  strip[CASE_OPTION_INVINCIBLE]=ini.getWithDefault("[Strip]",0,"case option invincible",0,*new String(DEFAULT_CASE_OPTION_INVINCIBLE));
  strip[CASE_OPTION_INVISIBLE]=ini.getWithDefault("[Strip]",0,"case option invisible",0,*new String(DEFAULT_CASE_OPTION_INVISIBLE));
  strip[CASE_OPTION_POSE_MUR]=ini.getWithDefault("[Strip]",0,"case option pose mur",0,*new String(DEFAULT_CASE_OPTION_POSE_MUR));
  strip[CASE_OPTION_SURPUISSANCE]=ini.getWithDefault("[Strip]",0,"case option surpuissance",0,*new String(DEFAULT_CASE_OPTION_SURPUISSANCE));
  strip[CASE_OPTION_WIN95]=ini.getWithDefault("[Strip]",0,"case option win95",0,*new String(DEFAULT_CASE_OPTION_WIN95));
  strip[CASE_OPTION_TRAVERSE_MUR]=ini.getWithDefault("[Strip]",0,"case option traverse mur",0,*new String(DEFAULT_CASE_OPTION_TRAVERSE_MUR));
  strip[CASE_OPTION_FEMME]=ini.getWithDefault("[Strip]",0,"case option femme",0,*new String(DEFAULT_CASE_OPTION_FEMME));
  strip[CASE_OPTION_TELEPORT]=ini.getWithDefault("[Strip]",0,"case option teleport",0,*new String(DEFAULT_CASE_OPTION_TELEPORT));
  strip[CASE_OPTION_RESURRECT]=ini.getWithDefault("[Strip]",0,"case option resurrect",0,*new String(DEFAULT_CASE_OPTION_RESURRECT));
  strip[CASE_OPTION_SPEED]=ini.getWithDefault("[Strip]",0,"case option speed",0,*new String(DEFAULT_CASE_OPTION_SPEED));
  //  strip[CASE_OPTION_]=ini.getWithDefault("[Strip]",0,"case option ",0,*new String(DEFAULT_CASE_OPTION_));










































}
PreStrip::~PreStrip() throw()
{
}

const String *PreStrip::get(PreStrip::Id id) const throw()
{
  return strip[id];
}
