/*
addon:ScreenCopier
author:David FAUTHOUX
*/
//12 lines added
class ScreenCopierRedirector;

#ifndef __ScreenCopierRedirector_h__
#define __ScreenCopierRedirector_h__
/*
addon:ScreenCopier
author:David FAUTHOUX
*/
//1 line added
#include "Redirector.h"
/*
addon:ScreenCopier
author:David FAUTHOUX
*/
//1 line added
#include "Ini.h"
/*
addon:ScreenCopier
author:David FAUTHOUX
*/
//1 line added
#include "Keyable.h"
/*
addon:ScreenCopier
author:David FAUTHOUX
*/
//1 line added
#include "Sounder.h"
/*
addon:ScreenCopier
author:David FAUTHOUX
*/
//1 line added
#include "File.h"
/*
addon:ScreenCopier
author:David FAUTHOUX
*/
//1 line added
#include "stdio.h"

/**
This redirector can copy the screen in .ppm file. @author David FAUTHOUX
*/
class ScreenCopierRedirector
/*
addon:ScreenCopier
author:David FAUTHOUX
*/
//1 line added
:public Redirector
 
/*
addon:ScreenCopier
author:David FAUTHOUX
*/
//1 line added
,public Keyable
{
/*
addon:ScreenCopier
author:David FAUTHOUX
*/
//4 lines added
public:
/**
*/
ScreenCopierRedirector(Ini& ini) throw(Exception);
/*
addon:ScreenCopier
author:David FAUTHOUX
*/
//4 lines added
public:
/**
*/
virtual PixelMatrix *pipeIt(PixelMatrix& from) throw(Exception);
/*
addon:ScreenCopier
author:David FAUTHOUX
*/
//4 lines added
public:
/**
*/
virtual void keyAction(const Key& key) throw(Exception);
/*
addon:ScreenCopier
author:David FAUTHOUX
*/
//4 lines added
public:
/**
*/
virtual int virtualWalk() throw();
/*
addon:ScreenCopier
author:David FAUTHOUX
*/
//5 lines added
protected:
/**
This function copies the screen in a .ppm file
*/
virtual void copyTheScreen(const PixelMatrix& from) throw();
/*
addon:ScreenCopier
author:David FAUTHOUX
*/
//4 lines added
protected:
/**
*/
bool screenCopy;
/*
addon:ScreenCopier
author:David FAUTHOUX
*/
//5 lines added
protected:
/**
key get in .ini : [Screen copier] key
*/
int keyCopy;
/*
addon:ScreenCopier
author:David FAUTHOUX
*/
//4 lines added
protected:
/**
*/
Ini * iniRef;
/*
addon:ScreenCopier
author:David FAUTHOUX
*/
//4 lines added
protected:
/**
*/
Sounder * sounderRef;
/*
addon:ScreenCopier
author:David FAUTHOUX
*/
//5 lines added
public:
/**
Called by Main
*/
virtual void setSounderReference(Sounder& sounder) throw();
/*
addon:ScreenCopier
author:David FAUTHOUX
*/
//5 lines added
protected:
/**
Initialised in .ini with [Screen copier] sound file
*/
int soundId;
/*
addon:ScreenCopier
author:David FAUTHOUX
*/
//5 lines added
protected:
/**
Initialised in .ini with [Screen copier] directory
*/
String directory;
};

#endif
