/* Bomb O Bomb - an entirely transformable game for Linux
 * David FAUTHOUX - July 1999 - email: david.fauthoux@free.fr
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 * Modify this soft ! It is made to be original for each player who want it !!
 */



#include "Main.h"

#define DEFAULT_INI "bomb.ini"

int main(int argc,char *argv[])
{
  Main *game=0;

  bool clean=false;
  for(int cpt=1;cpt<argc;cpt++) {
    if(*new String(argv[cpt])=="--clean") clean=true;
    else {
      if(!game) game=new Main(argv[cpt],clean);
      else { cerr<<"Unknown:"<<argv[cpt]<<"\n";cerr.flush(); }
    }
  }

  if(!game) game=new Main(DEFAULT_INI,clean);
  while(game->walk());
  delete game;
}

