/* Bomb O Bomb - an entirely transformable game for Linux
 * David FAUTHOUX - July 1999 - email: david.fauthoux@free.fr
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 * Modify this soft ! It is made to be original for each player who want it !!
 */



class Keyable;

#ifndef __Keyable_h__
#define __Keyable_h__

#include "Key.h"

/**
   Can catch a key evenement
   @see Keyer
   @author David FAUTHOUX
 */
class Keyable {
 public:
  ///
  Keyable() throw() {}
  ///
  virtual ~Keyable() throw() {}
  ///
  void virtual keyAction(const Key& key) throw()=0;
};

#endif

