/*
addon:ScreenCopier
author:David FAUTHOUX
*/
//1 line added
#include "ScreenCopierRedirector.h"
/*
addon:ScreenCopier
author:David FAUTHOUX
*/
//1 line added
#define DEFAULT_KEY 99
/*
addon:ScreenCopier
author:David FAUTHOUX
*/
//3 lines added
ScreenCopierRedirector::ScreenCopierRedirector(Ini&ini)throw(Exception)
/*
addon:ScreenCopier
author:David FAUTHOUX
*/
//1 line added
:Redirector(0)
/*
addon:ScreenCopier
author:David FAUTHOUX
*/
//1 line added
,screenCopy(false)
/*
addon:ScreenCopier
author:David FAUTHOUX
*/
//1 line added
,keyCopy(ini.getWithDefault("[Screen copier]",0,"key",0,DEFAULT_KEY))
/*
addon:ScreenCopier
author:David FAUTHOUX
*/
//1 line added
,iniRef(&ini)
/*
addon:ScreenCopier
author:David FAUTHOUX
*/
//1 line added
,sounderRef(0)
/*
addon:ScreenCopier
author:David FAUTHOUX
*/
//1 line added
,soundId(-1)
/*
addon:ScreenCopier
author:David FAUTHOUX
*/
//1 line added
,directory(*ini.get("[Screen copier]",0,"directory",0))
{
}
/*
addon:ScreenCopier
author:David FAUTHOUX
*/
//4 lines added
PixelMatrix*ScreenCopierRedirector::pipeIt(PixelMatrix&from)throw(Exception)
{
if(screenCopy) { screenCopy=false; copyTheScreen(from); } return &from;;
}
/*
addon:ScreenCopier
author:David FAUTHOUX
*/
//4 lines added
void ScreenCopierRedirector::keyAction(const Key&key)throw(Exception)
{
if(key.isDown() && key.getCode()==keyCopy) screenCopy=true;;
}
/*
addon:ScreenCopier
author:David FAUTHOUX
*/
//4 lines added
int ScreenCopierRedirector::virtualWalk()throw()
{
return 1;
}
/*
addon:ScreenCopier
author:David FAUTHOUX
*/
//39 lines added
void ScreenCopierRedirector::copyTheScreen(const PixelMatrix&from)throw()
{
try {
int countFile;
if(!File::exists(directory+*new String(".next"))) {
countFile=0;
} else {
String *s;
File next(directory+*new String(".next"));
next.read(s);
countFile=s->toInt();
delete s;
}
File next(directory+*new String(".next"),File::WRITE_ONLY);
next.write((const char *)(*new String(countFile+1)));
String nameFile=directory + *new String(countFile);
{
File f(nameFile+*new String(".raw"),File::WRITE_ONLY);
countFile++;
for(int j=0;j<from.nbLine();j++)
for(int i=0;i<from.nbColumn();i++) {
int r=getRedFromPixel(from[j][i]);
int g=getGreenFromPixel(from[j][i]);
int b=getBlueFromPixel(from[j][i]);;
f.write((char)r);
f.write((char)g);
f.write((char)b);
}
}
system((const char *)(*new String("src/rawtoppm -rgb ")
+ *new String(from.nbColumn()) + *new String(" ")
+ *new String(from.nbLine())   + *new String(" ")
+ nameFile + *new String(".raw > ")
+ nameFile + *new String(".ppm")));
remove((const char *)(nameFile + *new String(".raw")));
if(sounderRef) sounderRef->play(soundId);
} catch(Exception) {
}
}
/*
addon:ScreenCopier
author:David FAUTHOUX
*/
//8 lines added
void ScreenCopierRedirector::setSounderReference(Sounder&sounder)throw()
{
sounderRef=&sounder;
try {
soundId=sounderRef->add(*(iniRef->getList("[Screen copier]",0,"sound file","[Screen copier]",0)));
} catch(Exception) {
}
}
